PDA

View Full Version : Re: Problem starting 6.0b1on FC3 (wasProblemstarting5.4.0on FC3)



Patrick Dixon
2005-03-15, 14:23
I've managed to sort the problem I had with "perl w ./slimserver.pl"
crashing out on FC3. I'd installed ActivePerl (for some reason I can't
recall), and removing it and reverting to the FC3 perl installation has
cured the problem.

I still have the slimserver daemon crash problem though. The error in the
log is:

DBI connect('dbname=/root/.slimserversql.db','',...) failed: unable to open
database file(1) at dbdimp.c line 94 at
/usr/local/slimserver//Slim/DataStores/DBI/DataModel.pm line 106

- so it must be whatever's resolving to the "//" that's causing the problem.

Can any of you FC experts point me in the right direction, please?

Thanks,
Patrick

-----Original Message-----
From: discuss-bounces (AT) lists (DOT) slimdevices.com
[mailto:discuss-bounces (AT) lists (DOT) slimdevices.com]On Behalf Of John
Rakestraw
Sent: 15 March 2005 14:05
To: Slim Devices Discussion
Subject: [slim] Re: Problem starting 6.0b1on FC3 (was
Problemstarting5.4.0on FC3)


Michael Peters wrote:
> On Mon, 14 Mar 2005 06:59:44 -0500, John Rakestraw
> <lists (AT) johnrakestraw (DOT) com> wrote:
>
>
> attrpms and dag and freshrpm's often have updated versions of core
packages.
> If you use them (I don't) then maybe your perl modules already were
> what they needed to be (I don't know what they offer updates for)

After I posted I wondered about this. I use dag and freshrpm for my yum
upgrades. Surely there's an easy way to find out if I have these updated
perl modules, but I won't have time to figure out how until the weekend.
If it matters, if it only takes a minute once one knows how, and if
someone can tell me how, I can run a quick check tonight.